/***************************************************************************
 * File Name  : btnpoll.c
 *
 * Description: 
 *
 *    This application polls the button by calling sysGetButtonState.
 *    smaple calls:     sysGetButtonState(kButtonOne);           // kButtonxxx defines in board_api.h
 *
 * Created on :  29/12/2005  vch, based on ledctrl.c
 *
 * Code Modified by Thomson. Revision 1.0.0
 *
 ***************************************************************************/
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>  /* ioctl */

#include "busybox.h"
#include "hard_api/board_api.h"

/* Button names */
const char * buttonName[] =
{
    [kButtonPairing]   = "Pairing",
    [kButtonBacklight] = "Backlight",
    [kButtonReset]     = "Reset",
};

static void showUsage(void)
{
    printf("\nUsage: btnpoll\n\n");

    exit(-1);
}

int btnpoll_main(int argc, char **argv)
{
    BOARD_BUTTON_NAME id;
    int state;

    if (argc > 1)
        showUsage();

    for(id = 0; id < kButtonEnd; id++) {
	state = sysGetButtonState(id);
	if(state >= 0)
	  printf("%s: %s\n", buttonName[id], state?"ON":"OFF");
    }

    return(0);
}

